Package be.fgov.ehealth.certra.protocol.v2

# Class SubmitCSRForForeignerResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.certra.protocol.v2.SubmitCSRForForeignerResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class SubmitCSRForForeignerResponse extends StatusResponseType implements Serializable
This response contains a validation URL that the foreigner user must visit in order to validate their request, this validation must take place before the expiration date mentioned in the response. The certificate generation will only continue if the user authenticates their identity in the web application and follows the steps explained on the web page.

Java class for SubmitCSRForForeignerResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubmitCSRForForeignerResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="ValidationUrl" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="ExpirationDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubmitCSRForForeignerResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getExpirationDate()`
  A CSR submitted by a foreign user must be validated within the expiration period, the value of this element contains the timestamp of the expiration date.
  `String`
  `getValidationUrl()`
  The URL where the foreign user can validate the CSR they just submitted.
  `void`
  `setExpirationDate(Instant value)`
  Sets the value of the expirationDate property.
  `void`
  `setValidationUrl(String value)`
  Sets the value of the validationUrl property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubmitCSRForForeignerResponse

    public SubmitCSRForForeignerResponse()

- ## Method Details

  - ### getValidationUrl

    public String getValidationUrl()
    The URL where the foreign user can validate the CSR they just submitted. The web application will ask the user to login in order to authenticate their identity.
    Returns:
      possible object is `String`

  - ### setValidationUrl

    public void setValidationUrl(String value)
    Sets the value of the validationUrl property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getValidationUrl()`

  - ### getExpirationDate

    public Instant getExpirationDate()
    A CSR submitted by a foreign user must be validated within the expiration period, the value of this element contains the timestamp of the expiration date. After the expiration date the user can no langer validate their request and they will need to submit a new one.
    Returns:
      possible object is `String`

  - ### setExpirationDate

    public void setExpirationDate(Instant value)
    Sets the value of the expirationDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getExpirationDate()`